Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.csw
Class AbstractCSWResponseValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.ResponseValidator
          org.deegree.security.owsrequestvalidator.csw.AbstractCSWResponseValidator

Direct Known Subclasses:
  GetRecordByIdResponseValidator

    abstract class AbstractCSWResponseValidator

extends ResponseValidator

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.ResponseValidator
`gpv, policy, UNKNOWNMIMETYPE`

Constructor Summary
`AbstractCSWResponseValidator(Policy policy)`

Method Summary
`protected ComplexFilter` | `extractInstanceFilter(Operation operation, List<ComplexFilter> foundFilters)`

Methods inherited from class org.deegree.security.owsrequestvalidator.ResponseValidator
`getPolicy, setPolicy, validateResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCSWResponseValidator

    public AbstractCSWResponseValidator(Policy policy)

Parameters:
  `policy` -

Method Detail

### extractInstanceFilter

    protected ComplexFilter extractInstanceFilter(Operation operation,
                                                  List<ComplexFilter> foundFilters)
                                           throws SAXException,
                                                  IOException,
                                                  FilterConstructionException

  Parameters:
    `operation` -
  Returns:
    the extracted filter
  Throws:
    `IOException`
    `SAXException`
    `FilterConstructionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org